[arch-commits] Commit in tcp_wrappers/trunk (11_inet6_fixes.patch PKGBUILD)

Tobias Powalowski tpowa at archlinux.org
Tue Feb 2 22:47:04 UTC 2010


    Date: Tuesday, February 2, 2010 @ 17:47:03
  Author: tpowa
Revision: 67074

upgpkg: tcp_wrappers 7.6-11
    fix #16048 #17502

Added:
  tcp_wrappers/trunk/11_inet6_fixes.patch
Modified:
  tcp_wrappers/trunk/PKGBUILD

----------------------+
 11_inet6_fixes.patch |   41 +++++++++++++++++++++++++++++++++++++++++
 PKGBUILD             |    6 ++++--
 2 files changed, 45 insertions(+), 2 deletions(-)

Added: 11_inet6_fixes.patch
===================================================================
--- 11_inet6_fixes.patch	                        (rev 0)
+++ 11_inet6_fixes.patch	2010-02-02 22:47:03 UTC (rev 67074)
@@ -0,0 +1,41 @@
+--- Makefile.old	2009-10-28 10:37:40.138328073 +0100
++++ Makefile	2009-10-28 10:37:57.014326831 +0100
+@@ -154,7 +154,7 @@
+ 	@make REAL_DAEMON_DIR=$(REAL_DAEMON_DIR) STYLE=$(STYLE) \
+ 	LIBS=$(MYLIB) RANLIB=ranlib ARFLAGS=rv AUX_OBJ=weak_symbols.o \
+ 	NETGROUP=-DNETGROUP TLI= VSYSLOG= BUGS= all \
+-	EXTRA_CFLAGS="-DSYS_ERRLIST_DEFINED -DHAVE_WEAKSYMS -D_REENTRANT"
++	EXTRA_CFLAGS="-DINET6 -DSYS_ERRLIST_DEFINED -DHAVE_WEAKSYMS -D_REENTRANT"
+ 
+ gnu:
+ 	@make REAL_DAEMON_DIR=$(REAL_DAEMON_DIR) STYLE=$(STYLE) \
+--- tcpd.h.old	2009-10-28 10:48:19.285326834 +0100
++++ tcpd.h	2009-10-28 10:47:32.951325793 +0100
+@@ -91,7 +91,11 @@
+ 
+ extern void shell_cmd __P((char *));	/* execute shell command */
+ extern char *percent_x __P((char *, int, char *, struct request_info *)); /* do %<char> expansion */
++#ifdef INET6
++extern void rfc931 __P((struct sockaddr *, struct sockaddr *, char *)); /* client name from RFC 931 daemon */
++#else
+ extern void rfc931 __P((struct sockaddr_in *, struct sockaddr_in *, char *)); /* client name from RFC 931 daemon */
++#endif
+ extern void clean_exit __P((struct request_info *)); /* clean up and exit */
+ extern void refuse __P((struct request_info *));	/* clean up and exit */
+ extern char *xgets __P((char *, int, FILE *));	/* fgets() on steroids */
+--- scaffold.c.old	2009-10-28 10:50:13.584449353 +0100
++++ scaffold.c	2009-10-28 10:52:53.765443023 +0100
+@@ -182,8 +237,13 @@
+ /* ARGSUSED */
+ 
+ void    rfc931(rmt_sin, our_sin, dest)
++#ifdef INET6
++struct sockaddr *rmt_sin;
++struct sockaddr *our_sin;
++#else
+ struct sockaddr_in *rmt_sin;
+ struct sockaddr_in *our_sin;
++#endif
+ char   *dest;
+ {
+     strcpy(dest, unknown); 

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-02-02 22:35:40 UTC (rev 67073)
+++ PKGBUILD	2010-02-02 22:47:03 UTC (rev 67074)
@@ -2,7 +2,7 @@
 # Maintainer: judd <jvinet at zeroflux.org>
 pkgname=tcp_wrappers
 pkgver=7.6
-pkgrel=10
+pkgrel=11
 pkgdesc="Monitors and Controls incoming TCP connections"
 arch=(i686 x86_64)
 url="ftp://ftp.porcupine.org/pub/security/index.html"
@@ -24,6 +24,7 @@
         08_all_strerror.patch
         09_all_gcc-3.4.patch
         10_all_more-headers.patch
+        11_inet6_fixes.patch
         tcp-wrappers-7.6-ipv6-1.14.patch)
 md5sums=('e6fa25f71226d090f34de3f6b122fb5a'
          '32cfeeed797161034f62bb45f3167baa'
@@ -39,6 +40,7 @@
          '801292cacf14a92e2784b925e72a1db1'
          '0978932f49aae33834a46e189ace7d77'
          '68b1c7f82fed60b446b00f6de27c3b9f'
+         'bd0af9dedcacd594e0715de800fc1b57'
          '9154c38e3fb69d12b5bfb2fc5284314f')
 
 build() {
@@ -54,7 +56,7 @@
   patch -Np1 -i ../10_all_more-headers.patch || return 1
   patch -Np2 -i ../tcp-wrappers-7.6-ipv6-1.14.patch || return 1
 
-  make REAL_DAEMON_DIR=/usr/sbin STYLE=-DSYS_ERRLIST_DEFINED linux || return 1
+  make REAL_DAEMON_DIR=/usr/sbin STYLE=-DPROCESS_OPTIONS linux || return 1
   # dumb makefile
   mkdir -p $pkgdir/usr/{include,lib,sbin}
   mkdir -p $pkgdir/usr/share/man/man{3,5,8}




More information about the arch-commits mailing list